Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2004-1114

CVE information

Published

17 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Buffer overflow in the handling of command line arguments in Skype 1.0.x.94 through 1.0.x.98 allows remote attackers to execute arbitrary code via a callto:// URL with a long non-existent username, a different vulnerability than CVE-2004-1777..

CVSSv2.0 Score

Severity
High
Base Score
9.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:skype_technologies:skype:1.0.0.94:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:skype_technologies:skype:1.0.0.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:skype_technologies:skype:1.0.0.97:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:skype_technologies:skype:1.0.0.29:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:skype_technologies:skype:1.0.0.18:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:skype_technologies:skype:1.0.0.10:*:*:*:*:*:*:*
  Yes
- -